Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xbmc compile fail with DllAvFormat
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
esa
n00b
n00b


Joined: 17 Mar 2009
Posts: 17

PostPosted: Thu Aug 07, 2014 3:45 pm    Post subject: xbmc compile fail with DllAvFormat Reply with quote

Hi,

XBMC is running fine on my system.

But when I do a "emerge -auDNv world" xbmc fails to compile.

I don't know if this is the cause, but I give some changes that has been done on my system

1) I have deactived the global thread use flag in make.conf.
2) Perl has also been upgraded : perl-5.12.4-r1 to perl-5.16.3

An emerge --resume have succesfully compiled 233 packages.
at the end all packages are compiled except xbmc.

emerge -av xbmc gives :

Code:
Calculating dependencies... done!
[ebuild   R    ] media-tv/xbmc-12.2-r1  USE="X alsa cec mysql opengl pvr rtmp sdl sse sse2 usb vdpau webserver xrandr -airplay (-altivec) -avahi -bluetooth -bluray -caps -css -debug -gles -goom -java -joystick -midi (-neon) -nfs -profile -projectm -pulseaudio -rsxs -samba -sftp -udisks% -upnp -upower% -vaapi (-udev%*)" PYTHON_SINGLE_TARGET="python2_7 (-python2_6%)" PYTHON_TARGETS="python2_7 (-python2_6%)" 0 kB


CC      lib/libhts/net_posix.o
libXDAAP.c: In function ‘DAAP_ClientHost_AsyncGetAudioFile’:
libXDAAP.c:1678:33: warning: passing argument 1 of ‘CP_ThreadPool_QueueWorkItem’ from incompatible pointer type [enabled by default]
                                 (void*)pCHThis, (void*)pGetFile);
                                 ^
In file included from libXDAAP.c:62:0:
threadpool.h:48:6: note: expected ‘struct CP_SThreadPool *’ but argument is of type ‘struct CP_SThreadPool *’
 void CP_ThreadPool_QueueWorkItem(CP_SThreadPool *pTPThis,
      ^
libXDAAP.c: In function ‘DAAP_ClientHost_AsyncWaitUpdate’:
libXDAAP.c:1833:37: warning: passing argument 1 of ‘CP_ThreadPool_QueueWorkItem’ from incompatible pointer type [enabled by default]
                                     (void*)pCHThis->parent->update_watch, NULL);
                                     ^
In file included from libXDAAP.c:62:0:
threadpool.h:48:6: note: expected ‘struct CP_SThreadPool *’ but argument is of type ‘struct CP_SThreadPool *’
 void CP_ThreadPool_QueueWorkItem(CP_SThreadPool *pTPThis,
      ^
libXDAAP.c:1846:33: warning: passing argument 1 of ‘CP_ThreadPool_QueueWorkItem’ from incompatible pointer type [enabled by default]
                                 (void*)pCHThis, NULL);
                                 ^
In file included from libXDAAP.c:62:0:
threadpool.h:48:6: note: expected ‘struct CP_SThreadPool *’ but argument is of type ‘struct CP_SThreadPool *’
 void CP_ThreadPool_QueueWorkItem(CP_SThreadPool *pTPThis,
      ^
CC      lib/libhts/sha1.o
AR      lib/libhts/libhts.a
CC      xbmc/cores/DllLoader/mmap_anon.o
CC      lib/libXDAAP/threadpool.o
CC      xbmc/cores/DllLoader/ldt_keeper.o
CC      lib/libXDAAP/Authentication/hasher.o
CC      lib/libXDAAP/Authentication/md5.o
AR      xbmc/cores/DllLoader/dllloader.a
CPP     lib/libsquish/alpha.o
CPP     lib/libsquish/clusterfit.o
AR      lib/libXDAAP/libxdaap.a
CC      lib/xbmc-dll-symbols/DllAvFormat.o
CPP     lib/libsquish/colourblock.o
DllAvFormat.c: In function ‘av_read_frame_flush’:
DllAvFormat.c:113:11: error: ‘AVStream’ has no member named ‘reference_dts’
         st->reference_dts = AV_NOPTS_VALUE;
           ^
make[1]: *** [DllAvFormat.o] Error 1
make: *** [lib/xbmc-dll-symbols/dll-symbols.a] Error 2



Complete build is here : http://pastebin.com/PJrNaEfL

I also check : equery hasuse threads
Code:
* Searching for USE flag threads ...
[IP-] [  ] app-arch/xz-utils-5.0.5-r1:0
[IP-] [  ] app-crypt/mit-krb5-1.12.1-r1:0
[IP-] [  ] dev-lang/php-5.5.14:5.5
[IP-] [  ] dev-lang/python-2.7.8-r1000:2.7
[IP-] [  ] dev-lang/python-3.2.5-r1000:3.2
[IP-] [  ] dev-lang/python-3.3.5-r1000:3.3
[IP-] [  ] dev-libs/boost-1.53.0-r1000:0/1.53.0
[IP-] [  ] dev-libs/elfutils-0.158:0
[IP-] [  ] dev-libs/libevent-2.0.21-r1:0
[IP-] [  ] dev-libs/libverto-0.2.5-r1:0
[I--] [??] dev-scheme/guile-1.8.8-r2:12
[IP-] [  ] dev-vcs/git-1.8.5.5:0
[IP-] [  ] media-libs/x264-0.0.20140308:0/142
[IP-] [  ] media-libs/xvid-1.3.3:0
[IP-] [  ] media-video/ffmpeg-2.2.4:0/52.55.55
[IP-] [  ] net-misc/curl-7.37.0:0
[IP-] [  ] net-print/cups-1.7.4-r1:0
[IP-] [  ] sci-libs/fftw-3.3.3-r2:3.0
[IP-] [  ] sci-libs/hdf5-1.8.10:0
[IP-] [  ] virtual/ffmpeg-9-r1:0
[IP-] [  ] www-servers/apache-2.4.9-r3:2
[IP-] [  ] x11-misc/x11vnc-0.9.13:

media-video/ffmpeg is also concerning with this flag.

But, I realize that two packages are installed concerning ffmpeg :
virtual/ffmpeg-9-r1
media-video/ffmpeg

And the two packages are refering to xbmc :

Code:
equery depends virtual/ffmpeg
 * These packages depend on virtual/ffmpeg:
media-tv/xbmc-12.2-r1 (>=virtual/ffmpeg-0.6[encode])
                      (virtual/ffmpeg[vdpau])



Code:
equery depends media-video/ffmpeg
 * These packages depend on media-video/ffmpeg:
media-tv/xbmc-12.2-r1 (media-video/ffmpeg:0)
virtual/ffmpeg-9-r1 (>=media-video/ffmpeg-1.0:0[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?,X?,encode?,gsm?,jpeg2k?,mp3?,opus?,sdl?,speex?,theora?,threads?,truetype?,vaapi?,vdpau?,x264?])


Can you help me ?

Best Regards
Back to top
View user's profile Send private message
esa
n00b
n00b


Joined: 17 Mar 2009
Posts: 17

PostPosted: Thu Aug 07, 2014 3:55 pm    Post subject: Reply with quote

I forget to say that an upgrade of Nvidia Drivers has been done a few weeks ago :

x11-drivers/nvidia-drivers-337.25 [334.21-r3]
Back to top
View user's profile Send private message
damagic
n00b
n00b


Joined: 08 Aug 2014
Posts: 2

PostPosted: Fri Aug 08, 2014 11:09 pm    Post subject: Reply with quote

Same Problem here.
XBMC is working with previous compilation but i cant recompile it.

sys up to date.

nvidia-drivers-340.24 installed.
media-video/ffmpeg-2.3 (3dnow 3dnowext X aac alsa avx bzip2 encode fontconfig hardcoded-tables iconv jpeg2k mmx mmxext mp3 network opengl openssl oss samba speex sse sse2 ssse3 theora threads truetype v4l vdpau vorbis x264 xvid zlib)
virtual/ffmpeg-9-r1 (X encode jpeg2k mp3 speex theora threads truetype vdpau x264)

merlin ~ # uname -a
Linux merlin 3.12.13-gentoo #1 SMP Sat Apr 19 21:37:53 CEST 2014 x86_64 Intel(R) Core(TM) i5-3570T CPU @ 2.30GHz GenuineIntel GNU/Linux

[ebuild R ~] media-tv/xbmc-12.3 USE="X airplay alsa java mysql opengl projectm pvr rsxs samba sdl sse sse2 upnp usb vdpau webserver xrandr (-altivec) -avahi -bluetooth -bluray -caps -cec -css -debug -gles -goom -joystick -midi* (-neon) -nfs -profile -pulseaudio -rtmp -sftp -udisks% -upower% -vaapi (-udev%*)" PYTHON_SINGLE_TARGET="python2_7 (-python2_6%)" PYTHON_TARGETS="python2_7 (-python2_6%)"



Code:
httpClient.c: In function ‘HTTP_Client_Get_ToFile’:
httpClient.c:842:14: warning: ignoring return value of ‘write’, declared with attribute warn_unused_result [-Wunused-result]
httpClient.c:894:14: warning: ignoring return value of ‘write’, declared with attribute warn_unused_result [-Wunused-result]
CC      lib/libRTV/interface.o
CPP     lib/libsquish/colourblock.o
CC      lib/libhts/net_posix.o
CC      lib/libhts/sha1.o
CC      lib/libRTV/md5.o
CPP     lib/libsquish/colourfit.o
CC      lib/libXDAAP/ioloop.o
ioloop.c: In function ‘fd_event_signal’:
ioloop.c:120:10: warning: ignoring return value of ‘write’, declared with attribute warn_unused_result [-Wunused-result]
AR      lib/libhts/libhts.a
CPP     lib/libsquish/colourset.o
CC      lib/xbmc-dll-symbols/DllAvFormat.o
CC      lib/libRTV/netclient.o
CC      lib/libXDAAP/libXDAAP.o
DllAvFormat.c: In function ‘av_read_frame_flush’:
DllAvFormat.c:113:11: error: ‘AVStream’ has no member named ‘reference_dts’
make[1]: *** [DllAvFormat.o] Error 1
make: *** [lib/xbmc-dll-symbols/dll-symbols.a] Error 2
make: *** Waiting for unfinished jobs....
CC      lib/libRTV/rtv.o
libXDAAP.c: In function ‘DAAP_ClientHost_AsyncGetAudioFile’:
libXDAAP.c:1678:33: warning: passing argument 1 of ‘CP_ThreadPool_QueueWorkItem’ from incompatible pointer type [enabled by default]
In file included from libXDAAP.c:62:0:
threadpool.h:48:6: note: expected ‘struct CP_SThreadPool *’ but argument is of type ‘struct CP_SThreadPool *’
libXDAAP.c: In function ‘DAAP_ClientHost_AsyncWaitUpdate’:
libXDAAP.c:1833:37: warning: passing argument 1 of ‘CP_ThreadPool_QueueWorkItem’ from incompatible pointer type [enabled by default]
In file included from libXDAAP.c:62:0:
threadpool.h:48:6: note: expected ‘struct CP_SThreadPool *’ but argument is of type ‘struct CP_SThreadPool *’
libXDAAP.c:1846:33: warning: passing argument 1 of ‘CP_ThreadPool_QueueWorkItem’ from incompatible pointer type [enabled by default]
In file included from libXDAAP.c:62:0:
threadpool.h:48:6: note: expected ‘struct CP_SThreadPool *’ but argument is of type ‘struct CP_SThreadPool *’
CC      lib/libXDAAP/threadpool.o
CPP     lib/libsquish/maths.o
CC      lib/libRTV/sleep.o
AR      lib/libRTV/librtv.a
CC      lib/libXDAAP/Authentication/hasher.o
CPP     lib/libsquish/rangefit.o
CC      lib/libXDAAP/Authentication/md5.o
CPP     lib/libsquish/singlecolourfit.o
CPP     lib/libsquish/squish.o
AR      lib/libXDAAP/libxdaap.a
AR      lib/libsquish/libsquish.a


Any ideas?
Back to top
View user's profile Send private message
damagic
n00b
n00b


Joined: 08 Aug 2014
Posts: 2

PostPosted: Fri Aug 08, 2014 11:53 pm    Post subject: Reply with quote

OK, it works if u go back to media-video/ffmpeg-1.2.6-r1, last stable marked ffmpeg in gentoo tree yet.
xbmc compile without errors.
Back to top
View user's profile Send private message
esa
n00b
n00b


Joined: 17 Mar 2009
Posts: 17

PostPosted: Sat Aug 09, 2014 10:50 am    Post subject: Reply with quote

I try to downgrade ffmpeg but by default emerge want to install ffmpeg2.2.6

If I do emerge -av "<ffmpeg-2.2"

Code:
[ebuild  N     ] media-video/ffmpeg-1.1.12  USE="X aac alsa avresample bzip2 encode hardcoded-tables libcaca mmx mmxext mp3 oss ssse3 theora threads truetype vdpau vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -amr -avx -bindist -bluray -cdio (-celt) -cpudetection -debug -doc -examples -faac -fdk -flite -fontconfig -frei0r -gnutls -gsm -iec61883 -ieee1394 -jack -jpeg2k -libass -libsoxr -libv4l -modplug (-neon) -network -openal -openssl -opus -pic -pulseaudio -rtmp -schroedinger -sdl -speex -static-libs {-test} -twolame -v4l -vaapi (-vis) -vpx" FFTOOLS="aviocat cws2fws ffescape ffeval fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart trasher" 5,678 kB


The last stable version of ffmepg-1.2.6 is not found.

I verify my profile :

Code:
eselect profile show

Currently set profiles:
    arch: gentoo:funtoo/1.0/linux-gnu/arch/x86-32bit
   build: gentoo:funtoo/1.0/linux-gnu/build/stable
  flavor: gentoo:funtoo/1.0/linux-gnu/flavor/desktop
 mix-ins: gentoo:funtoo/1.0/linux-gnu/mix-ins/xfce

Automatically enabled profiles:
 mix-ins: gentoo:funtoo/1.0/linux-gnu/mix-ins/print
 mix-ins: gentoo:funtoo/1.0/linux-gnu/mix-ins/X
 mix-ins: gentoo:funtoo/1.0/linux-gnu/mix-ins/audio
 mix-ins: gentoo:funtoo/1.0/linux-gnu/mix-ins/dvd
 mix-ins: gentoo:funtoo/1.0/linux-gnu/mix-ins/media
 mix-ins: gentoo:funtoo/1.0/linux-gnu/mix-ins/console-extras


I have the following paskage.keyword : http://pastebin.com/1yjvJEqk

cat package.mask
Code:
#dev-libs/gobject-introspection
#>=sys-kernel/gentoo-sources-2.6.32-r39
=sys-apps/util-linux-2.20.1-r1
=net-misc/curl-7.25.0-r1
#=dev-libs/glib-2.30.3
#=dev-libs/glib-2.30.2
=sys-apps/iproute2-3.7.0-r1
#>=sys-kernel/linux-headers-3.4
# 2014/08 >dev-lang/perl-5.12.4-r2
>=media-video/ffmpeg-1.2.7


eselect python list
Available Python interpreters:
[1] python2.7 *
[2] python3.2
[3] python3.3

I see that python is :
equery list python
Code:
[IP-] [  ] dev-lang/python-2.7.8-r1000:2.7
[IP-] [  ] dev-lang/python-3.2.5-r1000:3.2
[IP-] [  ] dev-lang/python-3.3.5-r1000:3.3


Why PYTHON is not the last stable version : 2.7.5-r3 ?
I need advices.
Thank

Anyway, I have masked ffmpeg 2.2*
and XBMC has been succesfully installed :
Code:
emerge -av xbmc

 * IMPORTANT: 3 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] virtual/ffmpeg-9-r1  USE="X encode mp3 theora truetype vdpau x264 -gsm -jpeg2k -opus -sdl -speex -threads -vaapi" 0 kB
[ebuild   R    ] media-tv/xbmc-12.2-r1  USE="X alsa cec mysql opengl pvr rtmp sdl sse sse2 usb vdpau webserver xrandr -airplay (-altivec) -avahi -bluetooth -bluray -caps -css -debug -gles -goom -java -joystick -midi (-neon) -nfs -profile -projectm -pulseaudio -rsxs -samba -sftp -udisks% -upnp -upower% -vaapi (-udev%*)" PYTHON_SINGLE_TARGET="python2_7 (-python2_6%)" PYTHON_TARGETS="python2_7 (-python2_6%)" 0 kB

Total: 2 packages (1 new, 1 reinstall), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No] y
>>> Verifying ebuild manifests
>>> Emerging (1 of 2) virtual/ffmpeg-9-r1
>>> Installing (1 of 2) virtual/ffmpeg-9-r1
>>> Emerging (2 of 2) media-tv/xbmc-12.2-r1
>>> Installing (2 of 2) media-tv/xbmc-12.2-r1
>>> Jobs: 2 of 2 complete

Thanks for your help.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum